Subject: [Sip] Is there an object named "call" in RFC 3261?

From: "Sarit Galanos" <[email-masked]>
Date: Tue, 16 Mar 2004 13:41:36 +0200

Hi,
In RFC 3261 the word "call" is mentioned in the following paragraph:

when multiple 2xx responses are received from different remote UAs (because the INVITE forked), each 2xx establishes a different dialog.
All these dialogs are part of the same call.

My question is: What is this call. Is it an object that all dialogs that were created from the same INVITE should be related to?
When should a call object be created? When should it be terminated?

Thanks,
Sarit.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Harry Behrens" <[email-masked]>
Date: Tue, 16 Mar 2004 17:58:32 +0100

I`d believe the call is that which idenitified by the CallID.

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]] Im 
> Auftrag von Sarit Galanos
> Gesendet: Dienstag, 16. März 2004 12:42
> An: [email-masked]
> Betreff: [Sip] Is there an object named "call" in RFC 3261?
> 
> 
> Hi,
> when multiple 2xx responses are received from different 
> remote UAs (because the INVITE forked), each 2xx establishes 
> a different dialog. All these dialogs are part of the same call.
> 
> My question is: What is this call. Is it an object that all 
> dialogs that were created from the same INVITE should be 
> related to? When should a call object be created? When should 
> it be terminated?
> 
> Thanks,
> Sarit.
> 
> 
> 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments on the 
> application of sip
>

---

From: "Harry Behrens" <[email-masked]>
Date: Fri, 19 Mar 2004 10:42:44 +0100

Dear Paul,

The CallID as such is by nature unique (viz. "ID").
I realize that "call" is not a well-defined concept in RFC3261 and
therefore my answer was
more formal and actually tautological:

A Call is that which is "identified" by the Call"Identifier".
->
X is identified by Identifier(X).

You are correct in saying that this does not truly identify what we
intuitively (and each differently) mean by "call"
However that was the core of the question: what exactly is a "call".

So in order to avoid ambiguity I used the tautological definition, which
is just derived from the existing identifier.

In order to have a "meaningful" definition more discussions would have
to be made.

Regards,

	Harry

> Auftrag von Paul Kyzivat
> Gesendet: Donnerstag, 18. März 2004 22:58
> An: Harry Behrens
> Cc: 'Sarit Galanos'; [email-masked]
> Betreff: Re: AW: [Sip] Is there an object named "call" in RFC 3261?
> 
> 
> 
> 
> Harry Behrens wrote:
> Close, but not quite. The callid, isn't unique by itself. A dialog is 
> denoted by a callid, from-tag, and to-tag. Both the callid and the 
> from-tag are supplied by the caller, while the to-tag is 
> supplied by the 
> callee.
> 
> I think in the quoted section the term call is used informally, and 
> corresponds to an implementation artifact that has no concise name in 
> 3261. But the combination of the callid and the from-tag provide a 
> unique identifier for what is being discussed.
> 
> 	Paul
> 
> > Use [email-masked] for questions on 
> current sip Use 
> > [email-masked] for new developments on the application of sip
> > 
> 
>

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 19 Mar 2004 09:05:50 -0500

Harry,

Thanks for clarifying. Now I understand what point you were trying to make.

But sip hasn't been especially careful of terminology here:

 > A Call is that which is "identified" by the Call"Identifier"

You would think this should be true, but it isn't. For instance, Call-Id 
is also used with REGISTER, and it is used as part of the dialog id for 
dialogs that are established by SUBSCRIBE.

So I think we are left without a clear definition of what a call is.

	Paul

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 25 Mar 2004 04:54:06 -0500

Sarit Galanos wrote:

> Hi, In RFC 3261 the word "call" is mentioned in the following
> paragraph:
> 
> when multiple 2xx responses are received from different remote UAs
> (because the INVITE forked), each 2xx establishes a different dialog.
> My question is: What is this call. Is it an object that all dialogs
> that were created from the same INVITE should be related to? When
> should a call object be created? When should it be terminated?

Originally, in 2543, a call had a definition, and indeed the call-id was 
associated with the call:

  Call: A call consists of all participants in a conference invited by
         a common source. A SIP call is identified by a globally unique
         call-id (Section 6.12). Thus, if a user is, for example, invited
         to the same multicast session by several people, each of these
         invitations will be a unique call. A point-to-point Internet
         telephony conversation maps into a single SIP call. In a
         multiparty conference unit (MCU) based call-in conference, each
         participant uses a separate call to invite himself to the MCU.

This definition proved to ill defined for many reasons. As such, in RFC 
3261, there is no formal definition of a call. The text you refer to, as 
Paul indicates, talks about a call informally. It is suggesting a usage 
that would mean, "all the dialogs resulting from this call attempt". 
However, since its not a formal protocol object, it has no defined 
lifetimes or processing associated with it. An implementation can use 
its judgement in deciding what it wishes to label as a call.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

---

From: "Harry Behrens" <[email-masked]>
Date: Thu, 25 Mar 2004 12:35:15 +0100

Jonathan,

thanks. I believe now we got it summarized.

For me the summary is:
A:
>An implementation can use 

B:
RFC2543 (obsoleted) stated
> A SIP call is identified by a 
> globally unique
>          call-id 

C:
Formal Logic seems to support this:
	X is 'ident'ified by 'ident'ifier(X)

===> .."its judgement".. ==>
for the time being we should assume that at least some implementations
identify a call by its callID.

This is relevant for accounting purposes, btw...

	-h

> Auftrag von Jonathan Rosenberg
> Gesendet: Donnerstag, 25. März 2004 10:54
> An: Sarit Galanos
> Cc: [email-masked]
> Betreff: Re: [Sip] Is there an object named "call" in RFC 3261?
> 
> 
> 
> 
> Sarit Galanos wrote:
>

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 18 Mar 2004 16:57:50 -0500

Close, but not quite. The callid, isn't unique by itself. A dialog is 
denoted by a callid, from-tag, and to-tag. Both the callid and the 
from-tag are supplied by the caller, while the to-tag is supplied by the 
callee.

	Paul